Page MenuHomePhabricator

Create a script to extract all data from LiquidThreads and import into Flow
Closed, ResolvedPublic

Description

LiquidThreads is no longer being actively maintained by the Wikimedia Foundation (cf. T26288#272383). However, the LiquidThreads extension is deployed to a number of Wikimedia wikis (https://noc.wikimedia.org/conf/InitialiseSettings.php.txt):

'wmgUseLiquidThreads' => array(
//
//  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
//  Needs schema changes before it can be enabled. Ask Andrew for details
//  Better, don't add wikis here unless you are Andrew or he knows what you are doing.
//  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
//
	'default' => false,
	'testwiki' => true, // Expanding out to testwiki -- Andrew 2009-10-13
	 // -------------------
	'enwikinews' => true, // Per bug 21956 -- Andrew 2009-02-09
	'enwiktionary' => true, // Bug 23417 -- ariel 2010-16-05
	'fiwikimedia' => true, // Bug 37778
	'huwiki' => true, // Bug 22909 -- Andrew 2010-09-06
	'liquidthreads_labswikimedia' => true,
	'mediawikiwiki' => true,
	'officewiki' => true, // Erik requested, by mail.
	'ptwikibooks' => true, // Bug 24143 -- Andrew 2010-08-16
	'strategywiki' => true, // Philippe says it's cool -- Andrew 2009-10-13
	'sewikimedia' => true, // Bug 24377 -- Andrew 2010-08-28
	'svwikisource' => true, // Bug 23220 -- Andrew 2010-08-28
	'test2wiki' => true,
	'wikimania2010wiki' => true, // Erik requested, by mail
	'wikimania2011wiki' => true, // Erik requested, by mail
),

This bug focuses on how to move forward, given the lack of support for this MediaWiki extension, on Wikimedia wikis.

The discussions currently within LiquidThreads will likely need to be migrated to a different system.


Version: unspecified
Severity: major

Details

Reference
bz45088

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:34 AM
bzimport set Reference to bz45088.
bzimport added a subscriber: Unknown Object (MLST).

Seems rather obvious to me, LQT will continue its rotting and until translatewiki.net supports it it will sort of work; after that it will be removed by the communities like sv.source did and all the past discussions will vanish as with ArticleFeedbackv5 on en.wiki.
Suggest WONTFIX.

(In reply to comment #1)

Seems rather obvious to me, LQT will continue its rotting and until
translatewiki.net supports it it will sort of work; after that it will be
removed by the communities like sv.source did and all the past discussions
will vanish as with ArticleFeedbackv5 on en.wiki.
Suggest WONTFIX.

Scorned Swedish Wikisorcerers seem awfully dangerous.

Seems like an obvious resolved invalid here, this should be discussed on mailing lists, not bugzilla. It is not a software issue itself.

Bug report isn't actionable - action needs to be discussed and found first on mailing list.

Some general info, how I understand it:

LQT development is not planned and LQT3 development is on hold.
No one is responsible for fixing bug reports in LQT, but Andrew and Krenair, *if* they have time, will try to maintain LQT2. If any other community members wish maintain LQT2, they can contact agarrett or krenair.

(In reply to comment #3)

Seems like an obvious resolved invalid here, this should be discussed on
mailing lists, not bugzilla. It is not a software issue itself.

I would disagree. What's being asked here is for a maintinance script that will dump all lqt convos to the relavent talk page (or something similar that accomplishes the same goal). That doesnt seem to be an unreasonable request given the current plans for lqt.

lqt3 on hold...

Is that correct? Popular rumour tends to use the word cancelled instead of on hold.

(In reply to comment #5)

a maintinance script that will dump all lqt convos to the relavent talk page (or something similar that accomplishes the same goal).

The bug description does not say that. If it did then this would probably be a valid bug.

As the bug filer, I don't really care what's used to resolve the underlying issue (described in comment 0). There's definitely a valid bug here, though. I think we can agree on that, right?

We can't have a discussion system being used in production that's unsupported and that has no forward path. If you think further discussion is needed, feel free to start an RFC ([[mw:RFC]]) or a mailing list discussion ([[mail:wikitech-l]]). But this bug should remain open. It's not invalid, as far as I can tell.

The idea that every open bug report be directly actionable is mostly nonsense. It's an ideal, sure, but it doesn't apply to many (maybe most) open bugs.

Rewording to be clearer and more of an action.

I believe the Flow team has plans to write an LQT->Flow conversion script, so adding to Flow extension.

A minor petition for the priority to be higher than "Low" if at all possible. I'd love to move to Flow yesterday for the LQT-based pages on MW.org…

Flow team member here :) Yes, Andrew is working on an LQT -> Flow conversion script. We'd like to do the conversion sometime in the next quarter (April-June 2014). If you haven't tried out Flow yet, please do so on Mediawiki.org[1] and give feedback on what features you'd like to see added to Flow, on this bug or [2]

  1. https://www.mediawiki.org/wiki/Talk:Sandbox
  2. https://www.mediawiki.org/wiki/Talk:Flow

(In reply to Maryana Pinchuk from comment #11)

Flow team member here :) Yes, Andrew is working on an LQT -> Flow conversion
script.

Consequently, re-labelling bug. :-)

Change 119243 had a related patch set uploaded by Legoktm:
WIP: Add LQT conversion script.

https://gerrit.wikimedia.org/r/119243

Change 119243 had a related patch set uploaded by EBernhardson:
Add conversion infrastructure with LQT API source.

https://gerrit.wikimedia.org/r/119243

Change 119243 merged by jenkins-bot:
Add conversion infrastructure with LQT API source.

https://gerrit.wikimedia.org/r/119243

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:43 AM
Quiddity raised the priority of this task from Low to Medium.Jan 9 2015, 9:02 PM
Quiddity set Security to None.
Elitre added a subscriber: Elitre.Feb 26 2015, 7:37 PM
He7d3r updated the task description. (Show Details)Mar 6 2015, 2:07 PM
Mattflaschen-WMF closed this task as Resolved.Apr 23 2015, 3:36 AM
Mattflaschen-WMF claimed this task.
Mattflaschen-WMF removed Mattflaschen-WMF as the assignee of this task.

Is the script available anywhere for download?

It's part of the Flow repository, looks like it's started by running maintenance/convertLqt.php like you would with any other MediaWiki maintenance script.

Is the script available anywhere for download?

Sure, it's now two maintenance scripts. I wrote some documentation for it in January 2015 at https://www.mediawiki.org/wiki/Flow/Converting_LiquidThreads#What_happens_in_conversion ; I added links to the current scripts.

Thanks, I will pass it to our sysadmin.